d.path(1)

NAME
d.path - Finds shortest path for selected starting and ending node.

KEYWORDS
display, network, shortest path

SYNOPSIS
d.path
d.path --help
d.path [-gb] map=name [arc_type=string[,string,...]] coordinates=x1,y1,x2,y2 [arc_layer=string] [node_layer=string] [arc_column=string] [arc_backward_column=string] [node_column=string] [color=string] [highlight_color=string] [bgcolor=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-g
    Use geodesic calculation for longitude-latitude locations

-b
    Render bold lines

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

arc_type=string[,string,...]
    Arc type
    Options: line, boundary
    Default: line,boundary

coordinates=x1,y1,x2,y2 [required]
    Starting and ending coordinates

arc_layer=string
    Arc layer
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

node_layer=string
    Node layer
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 2

arc_column=string
    Arc forward/both direction(s) cost column (number)

arc_backward_column=string
    Arc backward direction cost column (number)

node_column=string
    Node cost column

color=string
    Original line color
    Default: black

highlight_color=string
    Highlight color
    Default: red

bgcolor=string
    Background color
    Default: white

DESCRIPTION
d.path enables shortest path vector networking. Costs may be either line lengths, or attributes saved in a database table. Supported are cost assignments for both arcs and nodes, and also different in both directions of a vector line. For areas cost will be calculated along boundary lines.

NOTE
The user needs to display a vector map before using d.path. If no graphics monitor is open, a file map.png is generated in the current directory.

The ’from’ and ’to’ points are entered by mouse into the map displayed in the GRASS monitor, or if the coordinates option is used they can be specified non-interactively. The actions bound to the mouse buttons are described in the terminal window when running the command.

To calculate shortest path non-interactively and save the path to a new vector map, use the v.net.path module.

EXAMPLES
Interactive shortest path routing on road network (North Carolina sample dataset):

g.region vector=roadsmajor -p
d.vect roadsmajor
d.path roadsmajor coordinates=668646.15,224447.16,668348.83,235894.02

Non-interactive shortest path routing on road network (North Carolina sample dataset):

d.path -b roadsmajor coordinates=668646.15,224447.16,668348.83,235894.02

SEE ALSO
v.net.path

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date$

SOURCE CODE

Available at: d.path source code (history)

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual